# Class JSOFA.Astrom

java.lang.Object
org.jastronomy.jsofa.JSOFA.Astrom

Enclosing class:
  `JSOFA`

public static class JSOFA.Astrom extends Object
Star-independent astrometry parameters. (Vectors eb, eh, em and v are all with respect to BCRS axes.)

Since:
  20131202
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 26 Mar 2014

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`along`
adjusted longitude (radians)
`double`
`bm1`
sqrt(1-|v|^2): reciprocal of Lorenz factor
`double[][]`
`bpn`
bias-precession-nutation matrix [3][3]
`double`
`cphi`
cosine of geodetic latitude
`double`
`diurab`
magnitude of diurnal aberration vector
`double[]`
`eb`
SSB to observer (vector, au) [3]
`double[]`
`eh`
Sun to observer (unit vector)[3]
`double`
`em`
distance from Sun to observer (au)
`double`
`eral`
"local" Earth rotation angle (radians)
`double`
`phi`
geodetic latitude (radians)
`double`
`pmt`
PM time interval (SSB, Julian years)
`double`
`refa`
refraction constant A (radians)
`double`
`refb`
refraction constant B (radians)
`double`
`sphi`
sine of geodetic latitude
`double[]`
`v`
barycentric observer velocity (vector, c)[3]
`double`
`xpl`
polar motion xp wrt local meridian (radians)
`double`
`ypl`
polar motion yp wrt local meridian (radians)

## Constructor Summary

Constructors
Constructor
Description
`Astrom()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pmt

public double pmt
PM time interval (SSB, Julian years)

### eb

public double[] eb
SSB to observer (vector, au) [3]

### eh

public double[] eh
Sun to observer (unit vector)[3]

### em

public double em
distance from Sun to observer (au)

### v

public double[] v
barycentric observer velocity (vector, c)[3]

### bm1

public double bm1
sqrt(1-|v|^2): reciprocal of Lorenz factor

### bpn

public double[][] bpn
bias-precession-nutation matrix [3][3]

### along

public double along
adjusted longitude (radians)

### phi

public double phi
geodetic latitude (radians)

### xpl

public double xpl
polar motion xp wrt local meridian (radians)

### ypl

public double ypl
polar motion yp wrt local meridian (radians)

### sphi

public double sphi
sine of geodetic latitude

### cphi

public double cphi
cosine of geodetic latitude

### diurab

public double diurab
magnitude of diurnal aberration vector

### eral

public double eral
"local" Earth rotation angle (radians)

### refa

public double refa
refraction constant A (radians)

### refb

public double refb
refraction constant B (radians)

## Constructor Details

### Astrom

public Astrom()